plugin Eclipse : Hibernate Tools

Le
ToOmS
Bonjour à tous, j'ai un petit soucis technique :

JE souhaite installer le plugin Hibernate Tools dans Eclipse et j'ai
donc ajouté un site distant à cet effet (http://download.jboss.org/
jbosstools/updates/stable) ; mais lorsque la recherche se termine, une
foultitude produits sont proposés et si je ne sélectionne que
Hibernate Tools, il manque apparemment "org.eclipse.jdt.apt.core" que
je ne trouve pas en incluant les sites distants d'Eclipse

Qui saurait quels sites inclure dans la mise à jour pour résoudre les
dépendances de ce modules, SVP ?
Est-ce que le téléchargement en dehors d'Eclipse s'avérera plus payant=

ou est-ce que je vais me retrouver avec des pbs après décompression du
zip ?

Merci d'avance, ToOmS
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
ToOmS
Le #7017701
On 16 juin, 11:57, ToOmS
Bonjour à tous, j'ai un petit soucis technique :

JE souhaite installer le plugin Hibernate Tools dans Eclipse et j'ai
donc ajouté un site distant à cet effet (http://download.jboss.org/
jbosstools/updates/stable) ; mais lorsque la recherche se termine, une
foultitude produits sont proposés et si je ne sélectionne que
Hibernate Tools, il manque apparemment "org.eclipse.jdt.apt.core" que
je ne trouve pas en incluant les sites distants d'Eclipse...

Qui saurait quels sites inclure dans la mise à jour pour résoudre les
dépendances de ce modules, SVP ?
Est-ce que le téléchargement en dehors d'Eclipse s'avérera plus paya nt
ou est-ce que je vais me retrouver avec des pbs après décompression du
zip ?

Merci d'avance, ToOmS


Pour info, il semble que ce soit l'installation (ils appellent cela
une configuration, je crois) est défectueuse à la base (il me semblait
bien que le JDT était un peu une des bases de la plateforme). Bref,
j'ai l'état suivant dans les propriétés de Eclipse Project SDK :

Le dispositif inclus "Eclipse Java Development Tools" version
"3.2.2.r322_v20070104-R4CR0Znkvtfjv9-" contient des erreurs.

Le dispositif inclus "Eclipse JDT Plug-in Developer Resources" version
"3.2.2.r322_v20070104-R4CR0Znkvtfjv9-" contient des erreurs.

PS : il s'agit d'un Eclipse 3.2 sous Ubuntu/JDK 6
Merci d'avance,

Fos Pat
Le #7017881
ToOmS wrote:<br />
<blockquote class="block0"><br />
PS : il s'agit d'un Eclipse 3.2 sous Ubuntu/JDK 6<br />
Merci d'avance,<br />
<br />
</blockquote><br />
Tu as beaucoup de plugins install&eacute;s ?<br />
Le plus simple me semble etre de repartir d'une package &quot;Java EE<br />
developpers&quot;<br />
<br />
http://www.eclipse.org/downloads/packages/<br />
<br />
ToOmS
Le #7017961
On 16 juin, 15:14, &quot;Fos Pat&quot; &lt;SPAMcoollATfreePOINTfr&gt; wrote:<br />
<blockquote class="block0"><br />
ToOmS wrote:<br />
<blockquote class="block1"><br />
PS : il s'agit d'un Eclipse 3.2 sous Ubuntu/JDK 6<br />
Merci d'avance,<br />
<br />
</blockquote><br />
Tu as beaucoup de plugins install&eacute;s ?<br />
Le plus simple me semble etre de repartir d'une package &quot;Java EE<br />
developpers&quot;<br />
<br />
http://www.eclipse.org/downloads/packages/<br />
<br />
</blockquote><br />
Tout &agrave; fait, j'en suis l&agrave;. Apr&egrave;s farfouille, il s'av&egrave;re que certaine s<br />
features et certains plugins sont enregistr&eacute;s sous mon compte user...<br />
et d'autres avec root (installation via le gestionnaire interne<br />
d'applications...).<br />
On va mettre tout &ccedil;a en /usr/local et &ccedil;a ira sans doute mieux...<br />
<br />
<br />
ToOmS
Le #7018281
On 16 juin, 15:28, ToOmS &lt;&gt; wrote:<br />
<blockquote class="block0"><br />
Tout &agrave; fait, j'en suis l&agrave;. Apr&egrave;s farfouille, il s'av&egrave;re que certai nes<br />
features et certains plugins sont enregistr&eacute;s sous mon compte user...<br />
et d'autres avec root (installation via le gestionnaire interne<br />
d'applications...).<br />
On va mettre tout &ccedil;a en /usr/local et &ccedil;a ira sans doute mieux...<br />
<br />
</blockquote><br />
En effet : une r&eacute;installation avec version JEE en root et tout va bien<br />
mieux ! C'est trop cool, le package manager Linux...<br />
<br />
ToOmS
Le #7024201
Quoique... il reste une petit pb...<br />
Quelqu'un sait-il comment STABILISER Eclipse sous Linux ? Il s'agit<br />
apparemment d'un &quot;gtk&quot; et je tourne sous KDE ; je suis victime de<br />
plantages intempestifs !<br />
Je pr&eacute;cise que le raccourci de lancement force l'emploi de la JVM 1.6<br />
Sun.<br />
<br />
Merci d'avance<br />
Fos Pat
Le #7024691
ToOmS wrote:<br />
<blockquote class="block0"><br />
Quoique... il reste une petit pb...<br />
Quelqu'un sait-il comment STABILISER Eclipse sous Linux ? Il s'agit<br />
apparemment d'un &quot;gtk&quot; et je tourne sous KDE ; je suis victime de<br />
plantages intempestifs !<br />
<br />
</blockquote><br />
Regarde les logs pour trouver l'origine du plantage.<br />
<br />
ToOmS
Le #7036581
On 17 juin, 11:27, "Fos Pat" <SPAMcoollATfreePOINTfr> wrote:
ToOmS wrote:
> Quoique... il reste une petit pb...
> Quelqu'un sait-il comment STABILISER Eclipse sous Linux ? Il s'agit
> apparemment d'un "gtk" et je tourne sous KDE ; je suis victime de
> plantages intempestifs !

Regarde les logs pour trouver l'origine du plantage.



OK... J'ai pensé à un moment qu'il s'agissait d'un pb de mémoire ;
mais avec Xms512 et Xmx2048...
Non, en fait il plante comme ça... de temps en temps si je tripote la
configuration (préférences) ou si j'enregistre des fichiers... Je
crois que je vais reprendre Windows...
ToOmS
Le #7036811
On 18 juin, 17:07, ToOmS
On 17 juin, 11:27, "Fos Pat" <SPAMcoollATfreePOINTfr> wrote:

> ToOmS wrote:
> > Quoique... il reste une petit pb...
> > Quelqu'un sait-il comment STABILISER Eclipse sous Linux ? Il s'agit
> > apparemment d'un "gtk" et je tourne sous KDE ; je suis victime de
> > plantages intempestifs !

> Regarde les logs pour trouver l'origine du plantage.

OK... J'ai pensé à un moment qu'il s'agissait d'un pb de mémoire ;
mais avec Xms512 et Xmx2048...
Non, en fait il plante comme ça... de temps en temps si je tripote la
configuration (préférences) ou si j'enregistre des fichiers... Je
crois que je vais reprendre Windows...



PS : je viens d'ajouter "-XX:MaxPermSize8M" à eclipse.ini, pour
essayer.
Fos Pat
Le #7037171
ToOmS wrote:
PS : je viens d'ajouter "-XX:MaxPermSize8M" à eclipse.ini, pour
essayer.



Sous windows, la valeur par défaut du package Java EE est 256m...
Si le problème vient de là, l'erreur se trouve dans les logs d'eclipse.
ToOmS
Le #7051021
On 18 juin, 18:02, "Fos Pat" <SPAMcoollATfreePOINTfr> wrote:
ToOmS wrote:
> PS : je viens d'ajouter "-XX:MaxPermSize8M" à eclipse.ini, pour
> essayer.

Sous windows, la valeur par défaut du package Java EE est 256m...
Si le problème vient de là, l'erreur se trouve dans les logs d'eclips e.



Bonjour,

On va dire que c'est un "mieux"... mais il y a encore des poussées de
fièvre inexpliquées de temps à autre.
La valeur par défaut est bien 256M, cf. eclipse.ini, mais il semble
que la façon de la déclarer soit invalide sous Linux. Il faut passer
par les vmargs dans ce cas (c'est juste un petit changement dans le
fichier en question).
Publicité
Poster une réponse
Anonyme